//
// This should be used only for worldgen/biome tags

ServerEvents.tags("worldgen/biome", (event) => {
  // Biome Tagging for Ore Excavation
  event.add("dimdungeons:ore_veins", ["dimdungeons:biome_dungeon"]);
  event.add("ad_astra:moon_ore_veins", ["ad_astra:lunar_wastelands"]);
  event.add("ad_astra:mars_ore_veins", [/^ad_astra:martian.*/]);
  event.add("ad_astra:venus_ore_veins", [
    "ad_astra:venus_wastelands",
    "ad_astra:infernal_venus_barrens",
  ]);
  event.add("alexscaves:toxic_ore_veins", ["alexscaves:toxic_caves"]);

  /*
    // Biome Tagging for Wild Ginger
    event.add("snowyspirit:has_wild_ginger_dense",["#minecraft:is_jungle","regions_unexplored:deciduous_forest"])
    event.add("snowyspirit:has_wild_ginger",["#minecraft:is_forest","#c:tree_deciduous"])
  */

  // Biome Tagging for Oil
  event.removeAll("createdieselgenerators:oil_biomes");
  event.add("createdieselgenerators:oil_biomes", "alexscaves:primordial_caves");
  // Biome Tagging for Structure Generation
  // to do: move a million datapack worldgen/biome tags to this script or move this shit to datapack for consistency
  event.add("repurposed_structures:has_structure/pyramids/moon", [
    "ad_astra:lunar_wastelands",
  ]);
  event.add("repurposed_structures:has_structure/fortresses/mars", [
    "ad_astra:martian_wastelands",
  ]);
});
